Bug 1313897 - Upgrading from 6.1.6 to 6.1.7 removed capsule options
Upgrading from 6.1.6 to 6.1.7 removed capsule options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.1.7
Unspecified Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 10:08 EST by Rob Marti
Modified: 2017-05-11 09:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-11 09:07:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Marti 2016-03-02 10:08:09 EST
Description of problem:
I had a Satellite at 6.1.6.  I had deployed multiple servers from this Satellite.
I upgraded to 6.1.7 by running yum update and then katello-installer upgrade.

Post upgrade when I went to Infrastructure -> Subnets -> click subnet -> Capsules -> the only options for DNS, DHCP, and TFTP were "None".  Prior to the upgrade they were all populated.

I ran

katello-installer -v -d --capsule-dns true --capsule-dns-interface eth0 --capsule-dns-zone $DOMAIN \  
--capsule-dns-forwarders 192.168.126.1 --capsule-dns-reverse 126.168.192.in-addr.arpa \  
--capsule-dhcp true --capsule-dhcp-interface eth0 --capsule-dhcp-range "192.168.126.100 192.168.126.150" \  
--capsule-dhcp-gateway 192.168.126.1 --capsule-dhcp-nameservers 192.168.126.2 \  
--capsule-tftp true --capsule-tftp-servername $(hostname)

and now the drop downs are populated with the correct information.

Version-Release number of selected component (if applicable):
Upgrading from 6.1.6 to 6.1.7

How reproducible:
Unsure - I didn't keep a snapshot if the VM to replicate

Steps to Reproduce:
1. Have a Satellite 6.1.6
2. Run yum update and katello-installer upgrade
3. Note that provisioning that depends on DHCP fails

Actual results:
Failure to provision if you rely on DHCP

Expected results:
Settings persist across upgrades

Additional info:
Let me know what logs would be useful to look at and I will upload them.
Comment 1 Rob Marti 2016-03-02 10:15:16 EST
To be clear, the upgrade removed the capsule DNS, DHCP, and TFTP settings I had when I installed the satellite.  This wasn't expected.
Comment 2 Bryan Kearney 2016-07-26 15:02:48 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 jcallaha 2017-05-11 09:07:36 EDT
We are no longer seeing this in either 6.2->6.2.z upgrades or 6.1.11->6.2.9 upgrades. Closing this bug as a result.

Note You need to log in before you can comment on or make changes to this bug.